--
-- Lua for Mini_Mini_Map_V3 by usxi7sd
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

Mini_Mini_Map_V3 = {}

local Mini_Mini_Map_V3_mt = Class(Mini_Mini_Map_V3, Mission00);

function Mini_Mini_Map_V3:new(baseDirectory, customMt)
    local mt = customMt;
    if mt == nil then
        mt = Mini_Mini_Map_V3_mt;
    end;
    local self = Mini_Mini_Map_V3:superClass():new(baseDirectory, mt);
    return self;
end;

function Mini_Mini_Map_V3:delete()
    Mini_Mini_Map_V3:superClass().delete(self);
end;

function Mini_Mini_Map_V3:load()
    self.environment = Environment:new(Utils.getFilename("$data/sky/sky_day_night.i3d", self.baseDirectory), true, 8, true, true);
    self:loadMap(Utils.getFilename("map01.i3d", self.baseDirectory));  

	-- Milch und Manureproduktionsbeschraenkung --
	g_currentMission.milkProductionScale = 0.5;    
    g_currentMission.manureProductionScale = 0.5;
    --g_currentMission.milkPriceScale = 0.1;
	
    AnimalHusbandry.initialize();
    self:loadMap(Utils.getFilename("missions/CattleMeadow.i3d", self.baseDirectory)); 
    self.missionPDA:loadMap(Utils.getFilename("map01/pda_map.png", self.baseDirectory));    
    Mini_Mini_Map_V3:superClass().load(self);
end
function Mini_Mini_Map_V3:loadFinished()
    Mini_Mini_Map_V3:superClass().loadFinished(self);
    AnimalHusbandry.finalize();
end;

function Mini_Mini_Map_V3:mouseEvent(posX, posY, isDown, isUp, button)
    Mini_Mini_Map_V3:superClass().mouseEvent(self, posX, posY, isDown, isUp, button);
end;
function Mini_Mini_Map_V3:keyEvent(unicode, sym, modifier, isDown)
    Mini_Mini_Map_V3:superClass().keyEvent(self, unicode, sym, modifier, isDown);
end;
function Mini_Mini_Map_V3:update(dt)
    Mini_Mini_Map_V3:superClass().update(self, dt);
end;
function Mini_Mini_Map_V3:draw()
    Mini_Mini_Map_V3:superClass().draw(self);
end;